Loading...
Searching...
No Matches
dolfin::CSRGraph< T >::node Class Reference

`#include <CSRGraph.h>`

## Public Member Functions

| node (const typename std::vector< T >::const_iterator &begin_it, const typename std::vector< T >::const_iterator &end_it)
| Node object, listing a set of outgoing edges.
std::vector< T >::const_iterator | begin () const
| Iterator pointing to beginning of edges.
std::vector< T >::const_iterator | end () const
| Iterator pointing to beyond end of edges.
std::size_t | size () const
| Number of outgoing edges for this node.
const T & | operator[] (std::size_t i) const
| Access outgoing edge i of this node.

## Detailed Description

template<typename T>
class dolfin::CSRGraph< T >::node

Access edges individually by using operator()[] to get a node object

The documentation for this class was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/CSRGraph.h